<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReactElement](./bitburner.reactelement.md) &gt; [type](./bitburner.reactelement.type.md)

## ReactElement.type property

**Signature:**

```typescript
type: string | ((props: any) => ReactElement | null) | (new (props: any) => object);
```
